Skip to main content
POST
/
api
/
v1
/
agency_pricing_history
US agency historical end of day pricing data
curl --request POST \
  --url https://terrapinfinance.com/api/v1/agency_pricing_history \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "end_date": "2026-02-15",
  "isin": "US3135G05Q27",
  "start_date": "2026-02-10"
}
'
{
  "data": [
    {
      "convexity": 1.05715,
      "date": "2026-02-12",
      "duration": 4.39255,
      "estimated_volume": 190000,
      "id": "npEPlBntFyLppliUHA69rw",
      "isin": "US3135G05Q27",
      "modified_duration": 4.23351,
      "price": 88.3626,
      "yield_to_maturity": 3.75681
    },
    {
      "convexity": 1.09098,
      "date": "2026-02-13",
      "duration": 4.38999,
      "estimated_volume": 75000,
      "id": "ZUdyW40758Wv6pxAm2r70A",
      "isin": "US3135G05Q27",
      "modified_duration": 4.23417,
      "price": 88.657,
      "yield_to_maturity": 3.67997
    }
  ],
  "total": 2
}

Documentation Index

Fetch the complete documentation index at: https://docs.terrapinfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
end_date
string<date>
required

Maximum trade date in ISO-8601 format (YYYY-MM-DD).

isin
string
required

International Securities Identification Number (ISIN), unique 12-character code for the security.

Required string length: 12
start_date
string<date>
required

Minimum trade date in ISO-8601 format (YYYY-MM-DD).

Response

Historical end of day pricing data

data
object[]
required

List of response data objects, often capped to 1000.

total
integer
required

Total number of results in the database that match the query filters.